import {defineStore} from "pinia";
import {ref} from "vue";


export const appStore = defineStore('app', () => {

    let customerName = ref<string>('');

    function setCustomerName(name: string) {
        customerName.value = name;
    }
    function getCustomerName() {
        return customerName.value;
    }

    return {customerName, setCustomerName, getCustomerName};


}, {
    persist: {
        key: 'app',
    }
})